Pagrindinis meniu

  • Nustatymai: atliekami bendri lokalios darbo vietos nustatymai.
    • Duomenų bazė: dialoge Sritys nustatomi duomenų bazės katalogai.
    • Parametrai: dialoge Parametrai suvedamos programos savybės darbo vietai
    • Išsaugoti: valdymo elementų vietą ekrane ir savybes, kad sekantį kartą paleidus programą nereikėtų nustatinėti iš naujo.
    • Žvynukais: angl. tile
    • Kriokliukais: angl. cascade
    • Piešinių tvarkymas: angl. arrange icons
  • Matavimai
    • Mantax DigiTech: dialoge Mantax DigiTech kaupiami matavimų dokumentai.
    • Mantax Computer: dialoge Mantax Computer kaupiami matavimų dokumentai.
    • Rankiniai: dialoge Rankiniai matavimai kaupiami matavimų dokumentai.
  • Pagalba: tai standartinis meniu punktas, kaip visi standartiniai jis veikia blogai.
    • Apie
    • Rodyklė
    • Lentelės


Mantax Computer

Dialoge suvedami nuskaitymų iš Mantax Computer dokumentai ir jų atributai. Šiame dialoge yra dvi lentelės: dokumentų ir medžių. Dokumentų lentelės dešinėje yra ir nuskaitytų žerglių vaizdas. Kursoriui judant dokumentų lentelėje medžių lentelė keisis, joje matomi tik vieno dokumento medžiai.

Dokumentų lentelėje numatyti šie stulpeliai atributams išsaugoti:

  • Numeris
  • Data
  • Kvartalas
  • Sklypas
  • Turinys
  • Atiduotas - dokumento serija ir numeris Taško programoje

Medžių lentelėje numatyti šie stulpeliai:

  • Numeris - eilės
  • Medis
  • Sortimentas
  • Kokybė - A, B, C, D
  • Skersmuo - cm
  • Ilgis - m
  • Tūris - ktm
  • Suma - Lt
  • Nomenklatūrinis - kodas gamybos klasifikatoriuje

F2 Žerglių nuskaitymas sukurs Jums dialogą žerglių nuskaitymui Žerglės Mantax Computer.

F3 "Taško" programai sukurs Jums dialogą Taško programoje šio dokumento eksportavimui į DB Apskaitos Taško © UAB DB Topas programą.

F5 Taškavimo lapas

Spauskite F2 Ataskaita

Matavimai -> Mantax Computer F2 Žerglių nuskaitymas

Žerglės Mantax Computer

Šioje vietoje Jums beliks pajungti Mantax Computer į Spausdin rėžimą ir duomenys iš žeglių nusiskaitys į medžių lentelę.


Mantax Digitech

Dialoge suvedami nuskaitymų iš Mantax Digitech dokumentai ir jų atributai. Šiame dialoge yra trys lentelės: dokumentų, matavimų ir medžių. Kursoriui judant dokumentų lentelėje matavimų ir medžių lentelės keisis, jose matomi tik vieno dokumento matavimai ir medžiai.

Dokumentų lentelėje numatyti šie stulpeliai atributams išsaugoti:

  • Numeris - Serija ir numeris, pvz.LBH184568
  • Data
  • Medis - Naudojamas žievės atmetimui pagal formulę (jei naudojamas 1 žievės atmetimo būdas)
  • Sortimentas
  • Ilgis
  • Abu galai - Ar matuojami abu rąstų galai ar tik laibgaliai
  • >20cm-2 - Ar skersmenys virš 20 cm matuojami du kartus
  • Žievės atmetimas
    1. Pagal formules
    2. Žievės storis matuojamas (kas antras matavimas reiškia žievės storį)
    3. Pagal sutartą tūrio procentą
  • Tūrio % - Žievės atmetimo pagal tūrį nuošimtis (jei naudojamas 3 žievės atmetimo būdas)
  • Turinys - Vieta bet kokiai papildomai informacijai
  • Pard. koef
  • Pard. tūris
  • Erdmetris

Matavimų lentelėje numatyti šie stulpeliai:

  • Numeris - Eilės numeris
  • Požymis - Nuo 1 iki 8
  • Storis (cm) - Medžio storis centimetrais
  • Laikas - Kompiuterio laikas nuskaitymo momentu (informacinis stulpelis)

Medžių lentelėje numatyti šie stulpeliai:

  • Numeris - Numeris
  • Kokybė - A, B, C, D
  • Laibg b/ž - Laibgalis be žievės (cm)
  • Laibg s/ž - Laibgalis su žieve (cm)
  • Laibg ž - Laibgalio žievė (cm)
  • Storg b/ž - Storgalis be žievės (cm)
  • Storg s/ž - Storgalis su žieve (cm)
  • Storg ž - Storgalio žievė (cm)

F2 Žerglių nuskaitymas sukurs Jums dialogą žerglių nuskaitymui Žerglės Mantax DigiTech.

F3 Medžiai iš matavimų lentelės užpildys Medžių lentelę. Medžių lentelės redaguoti negalėsite.

Progamoje numatyti keli medžių lentelės sudarymo iš matavimų lentelės algoritmai. Jie priklauso nuo stulpelių Abu galai, >20cm-2 ir Žievės atmetimas dokumentų lentelėje.

Stulpelyje Abu galai nurodoma ar matuojami abu rąstų galai ar tik laibgaliai.

Stulpelyje >20cm-2 nurodoma ar kartojamas matavimas virš 20 cm.

Stulpelyje Žievės atmetimas nurodomas žievės atmetimo būdas. Programoje numatyti trys:

  1. Pagal formules
  2. Žievės storis matuojamas (kas antras matavimas reiškia žievės storį)
  3. Pagal sutartą tūrio procentą

F5 Ataskaita atskirų medžių

Ataskaitoje rasite medžius su tūriais apskaičiuotais pagal formules ir iš medienos tūrio lentelių.

Lietuviška formulė
V = p * l * (D2 + D * d + d2) / 3 / 4 / 1002

Švediška formulė
V = p * l * (0.485 * D2 + 0.515 * d2) / 4 / 1002

Medienos tūrio lentelės paimtos iš Valstybės žinių, 2003 Nr. 20

Formulėse naudojami sutrumpinimai:

p
3.14159
V
rąsto tūris (m3)
l
rąsto ilgis (m)
D
rąsto storgalio skersmuo be žievės (cm)
d
rąsto laibgalio skersmuo be žievės (cm)

F6 Ataskaita pagal skersmenis

Ataskaitoje rasite medžius su tūriais iš medienos tūrio lentelių.

F9 Įterpti matavimą įterpia įrašą matavimų lentelėn.

Matavimai -> Mantax Digitech F2 Žerglių nuskaitymas

Žerglės Mantax Digitech

Šioje vietoje Jums beliks pajungti Mantax DigiTech į PC rėžimą ir duomenys iš žeglių nusiskaitys į matavimų lentelę.


Rankiniai matavimai

Dialoge suvedami išmatuotų medžių dokumentai ir jų atributai. Šiame dialoge yra trys lentelės: dokumentų, savybių ir medžių. Kursoriui judant dokumentų lentelėje savybių ir medžių lentelės keisis, jose matomi tik vieno dokumento įrašai.

Dokumentų lentelėje numatyti šie stulpeliai atributams išsaugoti:

  • Numeris
  • Data
  • Kvartalas
  • Sklypas
  • Žievės atmetimas
    1. Pagal formules
    2. Žievės storis matuojamas
    3. Pagal sutartą tūrio procentą
  • Turinys
  • Atiduotas - dokumento serija ir numeris Taško programoje

Savybių lentelėje numatyti šie stulpeliai:

  • Medis
  • Kaina
  • Tūrio % - naudojamas, jei dokumente numatytas Žievės atmetimo būdas 3.Pagal sutartą tūrio procentą

Medžių lentelėje numatyti šie stulpeliai:

  • Numeris - eilės
  • Medis
  • Sortimentas
  • Kokybė - A, B, C, D
  • Skersmuo - cm
  • Laibg ž - laibgalio žievės storis (cm). Naudojamas, jei dokumente numatytas Žievės atmetimo būdas 2.Žievės storis matuojamas
  • Ilgis - m
  • Laibg b/ž - laibgalio be žievės storis (cm)
  • Laibg s/ž - laibgalio su žieve storis (cm)
  • Tūris - iš lentelės paimtos iš Valstybės žinių, 2003 Nr. 20 (ktm)
  • Suma - Lt
  • Nomenklatūrinis - kodas gamybos klasifikatoriuje

Visi stulpeliai po Ilgio neredaguojami. Jų taisymas klaviatūra nenumatytas

F2 Skaičiuoti tūrius užpildo medžių lentelės stulpelius Laibg b/ž arba Laibg s/ž, Tūris, Suma, Nomenklatūrinis.

F3 "Taško" programai sukurs Jums dialogą Taško programoje šio dokumento eksportavimui į DB Apskaitos Taško © UAB DB Topas programą.

F5 Taškavimo lapas


Parametrai

Dialoge suvedamos programos Žerglės registro reikšmės kompiuteryje. Reikšmės išskaidytos į du puslapius: Įrankių juosta ir Žerglės.

Puslapis Įrankių juosta: apie 12 variantų, kaip gali atrodyti mygtukai lentelių ir dialogų viršuje.

Puslapis Žerglės: galima nustatyti prie kokio porto prijungtas įrenginys.


Taško programoje

Programoje Žerglės numatytas duomenų exportas į buhalterinės apskaitos programą DB Apskaita © UAB DB Topas. Jis vykdomas per DB Apskaitos Taško © UAB DB Topas programą, kuri TCP/IP protokolu siunčia duomenis serveriui. Taigi medžių matavimai nuskaityti iš elektronių žerglių arba rankomis suvesti be papildomo rankinio darbo persiunčiami buhalterijon.

DB Apskaitos Taško programoje įsivedame dokumentą, į kurį norėsime sukelti matavimus.

Jo numerį ir parenkame dialoge. Programoje numatyti apribojimai, kad dokumento neexportuotum kelis kartus. Galų gale spauskite Enter klavišą (arba patvirtinantį mygtuką).


Apie

Tai dialogas kuriame rasite informaciją Apie vykdomą failą ir jo versiją.

Galų gale spauskite Enter klavišą (arba patvirtinantį mygtuką).


Lentelė

Ieška

Ieška vyksta tame stulpelyje kur stovi kursorius paspaudus Ctrl-F, arba tame stulpelyje kuriame išrenkamas meniu punktas Ieškoti Ctrl-F. Ctrl-F yra nuo angliško žodžio Find.

Stulpeliuose vaizduojami šių tipų duomenys: Datos, skaičiai (Numeric), tekstas (Character). Priklausomai nuo duomenų stulpelyje tipo paieškoje galimi įvairūs nustatymai.

Suvedus ieškomą reikšmę spauskite Enter klavišą (arba patvirtinantį mygtuką).

Programa gali leisti pasirinkti tris ieškos strategijas: Žemyn, Aukštyn, Šokti tiesiai. Žemyn ir Aukštyn ieška atliekama tik einamoje lentelėje visų įrašų nuoseklaus peržiūrėjimo būdu kursoriaus einamos pozicijos atžvilgiu. Ieška Šokti tiesiai naudojama surūšiuotoje lentelėje ir yra daug greitesnė. Ji daugiau naudotina didelėse lentelėse (virš 1000 įrašų).

Maždaug nustatymas atsiranda ieškant stulpeliuose su C tipo duomenimis Žemyn arba Aukštyn. Šiaip ieškant frazės Kibir bus randami įrašai kurie taip prasideda, pvz.:
kibiriukai
Kibirynas
KIBIR-TELE-VIBIR

Nustačius Maždaug, bus randomos Kibir reikšmės ir teksto viduryje, pvz.
Jonas bėgiojo Pakibirių kaime.

Rikiuoti ir/arba filtruoti

Tai dialogas kuriame pasirenkate papildomas lentelės savyves: rikiavimą pagal stulpelį ir filtrą.

Jei norinte naudoti filtrą, varnele pažymėkite filtruoti ir įveskite loginę išraišką Filtras. Pvz. jei norite į lentelę įtraukti įrašus, kur stulpelyje Pavardė Vardas 403 yra frazė Jonas, tai fitro išraiška turėtų būti AT("Jonas", S403) != 0.

Galų gale spauskite Enter klavišą (arba patvirtinantį mygtuką).

Rikiuoju

Dirbu ir tiek ...


Sritys

Sričių dialoge galima rasti ir susivesti kur randasi Jūsų duomenų bazės diske. Sritis - tai duomenų komplektas skirtas vienalyčiam objektui aprašyti. Jis gali būti tiek lokaliam, tiek ir tinkliniam diske. Duomenų bazės ir katalogai galioja tik šiai darbo su programa sesijai, norint rasti tuos pačius nustatymus ir kitą kartą, neuždarę Sričių dialogo nueikite į F6 Saugoti.

Norint pakeisti sritį, su pele arba rodyklėmis pastatykite kursorių ant norimos ir naudokite F2 Rinktis.

F3 Indeksuoti ir F4 Suspausti leidžia perindeksuoti arba supakuoti duomenų bazę. Veiksmą atlikti galima su vienu duomenų bazės katalogu arba su visa baze, tai priklauso nuo kursoriaus vietos.

F5 Nauja sritis sukuria naują sritį. Jums tik reikia nurodyti katalogus kur randasi duomenys, ir programa pati patikrins duomenų bazės struktūrą, jei reikia susikurs trūkstamus failus. Srities vardo arba katalogo keitimui su pele uždekite redagavimo kursorių ir suveskite norimą tekstą.

<Del> Išmesti galima išmesti sritį iš sričių sąrašo. Pačius duomenų bazės failus išmeskite pats, mes negalime prisiimti tokios atsakomybės.

F7 Ieška leis Jums pasirinkti duomenų bazės katalogą vizualiomis MS-WINDOWS priemonėmis.

SritysF3 Indeksuoti

Indeksavimas

Indeksavimo langas yra grynai informacinis, nieko jame nuveikti negalėsite. Ekrane matysite kaip programa perkuria indeksinius failus *.nsx arba *.cdx. Indeksavimas yra praktiškai bazės perrūšiavimas, bet fiziškai pati bazė nesirūšiuoja. Savo rūšiavimo tvarką ji laiko atskiruose failuose. Todėl galima turėti bazę surūšiuotą pagal kelis požymius. Angliškai tam apibūdinti vartojamas terminas index, iš čia ir indeksavimas.

SritysF4 Suspausti

Indeksavimas - spaudimas

Indeksavimo spaudimo langas yra grynai informacinis, nieko jame nuveikti negalėsite. Kad programa dirbtų greičiau, išmesti iš lentelių įrašai fiziškai nemetami iš bazės, jie tik padaromi nematomais programai. Duomenų bazės spaudimas yra tų išmestų irašų naikinimas. Tuo pačiu atliekamas ir bazės indeksavimas


Kuriuos

Tai dialogas kuriame pasirenkate atstatyti Kuriuos elementus norite. Kažkiek panašu į Paste special, bet visai ne tai. Čia pasirenkami elementai o ne atstatymo formatas.

Galų gale spauskite Enter klavišą (arba patvirtinantį mygtuką).


Ataskaitos

Ataskaitų lange matosi sukauptos suformuotos ataskaitos. Jas galima peržiūrėti F2 Ataskaita, F4 Uždaryti. Peržiūrėjimui paleidžiama programa DBReport.exe. Joje galima spausdinti, formuoti naujas atakaitas, keisti ataskaitos formą.

Ataskaitų lango apačioje rašomos Jums suteiktos privilegijos: Galite keisti ataskaitos formą arba Negalite keisti ataskaitos formos. Priklausomai nuo to, Jūs galėsite Del Išmesti ataskaitą arba keisti ataskaitos pavadinimą.

Ataskaitas galima kopijuoti į laikiną katalogą ir iš jo atstatyti sisteminiame lango meniu išrinkus Kopijuoti ir Įterpti.

Įterpti

Sąraše pasirinkite ataskaitą, kurios Jumas reikia ir spauskite Enter klavišą (arba patvirtinantį mygtuką). Jeigu apsigalvojote, pasirinkimą nutraukite Escape klavišu.

Žaisliukas

Pasirinkite nustatymus (grupavimą ir stulpelį) ir spauskite Enter klavišą (arba patvirtinantį mygtuką). Kada nusibos viską baikite Escape klavišu.


Pranešimas

Tai tik informacinis langas, paskaitykite užrašą ir jį įsisavinkite.

Galų gale spauskite Escape arba Enter klavišą (arba patvirtinantį mygtuką), man tai kas.

Dirbu ...

Tai informacinis langas, rodantis kad programa dirba, o ne miega. Apytikslį atlikto ir likusio darbo kiekį programa rodo skirtingų spalvų eigos juostoje. Kai kuriais avejais šį langą galite išjungti Escape klavišu.

Klausimas

Turite galimybę pasirinkti vieną atsakymą iš 2-jų: Taip ar Ne. Visada įsiskaitykite į klausimą: sprendimą turite priimti Jūs. Turiu pastebėti, kad Escape klavišas reikš Ne pasirinkimą.

Klaidos

Čia tik klaidų sąrašas, ar Jūs jas taisysite, ne mano reikalas. Be to čia gal net ne klaidos, o šiaip pasvaičiojimai. Pataisytą klaidą naikinkite spausdami Delete klavišą


Apie

Programa skirta medžio dokumentų tvarkymui ir medienos tūrio skaičiavimui. Ji gali nuskaitinėti informaciją iš žeglių Mantax DigiTech ir Mantax Computer, turinčių sąsają su kompiuteriu.

Atliko UAB "DB Topas", autorius Jonas Gediminas Gvildys, tel. +370-37-222459, faks. +370-37-221119, mob. +370-652-29452, e-paštas JonasG@DBTopas.lt.

Elektronines žergles suteikė UAB "Haglof", direktorius Audrius Smilgius, mob. +370-699-94400, e-paštas Audrius.Smilgius@takas.lt.

Versija 1.0 2003 m. kovo mėn. 17 d.
Padaryti nuskaitymai iš Mantax DigiTech
Versija 1.1 2003 m. lapkričio mėn 18 d.
Padaryti nuskaitymai iš Mantax Computer
Versija 1.2 2003 m. gruodžio mėn. 10 d.
Padaryta galimybė suvesti taškavimo lapus rankiniu būdu